I do not have the option in autosys_secure to encrypt the password for my PeopleSoft Adapter.

Document ID : KB000020091
Last Modified Date : 14/02/2018
Show Technical Document Details

Description:

We are using the Unicenter AutoSys Job Management Adapter for PeopleSoft and we need to use encrypted passwords. Our AutoSys version is 11.3.5. When we go in to autosys_secure to get the passwords we expected to be presented with the following option:

[2] Encrypt password for legacy agents and adapters (using DES).

but that option is not available, why?

Solution:

CA Workload Automation AE (AutoSys), starting with version 11.3.5, offers FIPS 140-2 compliancy. If that option is selected on install then autosys_secure will not present the option to encrypt passwords for the adapters as they use DES encryption which is not 140-2 compliant.